Crazy Eddies GUI System: CEGUI::GUISheet Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions
CEGUI::GUISheet Class Reference

Window class intended to be used as a simple, generic Window. More...

Inheritance diagram for CEGUI::GUISheet:
[legend]
Collaboration diagram for CEGUI::GUISheet:
[legend]

List of all members.

## Public Member Functions
| GUISheet (const String &type, const String &name)
| Constructor for GUISheet windows.
virtual | ~GUISheet (void)
| Destructor for GUISheet windows.
## Static Public Attributes
static const String | WidgetTypeName
| The unique typename of this widget.
## Protected Member Functions
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.
void | updateMouseEventHandled (MouseEventArgs &e) const
| helper to update mouse input handled state
bool | moveToFront_impl (bool wasClicked)
| Implements move to front behavior.
void | onMouseMove (MouseEventArgs &e)
| Handler called when the mouse cursor has been moved within this window's area.
void | onMouseWheel (MouseEventArgs &e)
| Handler called when the mouse wheel (z-axis) position changes within this window's area.
void | onMouseButtonDown (MouseEventArgs &e)
| Handler called when a mouse button has been depressed within this window's area.
void | onMouseButtonUp (MouseEventArgs &e)
| Handler called when a mouse button has been released within this window's area.
void | onMouseClicked (MouseEventArgs &e)
| Handler called when a mouse button has been clicked (that is depressed and then released, within a specified time) within this window's area.
void | onMouseDoubleClicked (MouseEventArgs &e)
| Handler called when a mouse button has been double-clicked within this window's area.
void | onMouseTripleClicked (MouseEventArgs &e)
| Handler called when a mouse button has been triple-clicked within this window's area.

## Detailed Description

Window class intended to be used as a simple, generic Window.

This class does no rendering and so appears totally transparent. This window defaults to position 0.0f, 0.0f with a size of 1.0f x 1.0f.

/note The C++ name of this class has been retained for backward compatibility reasons. The intended usage of this window type has now been extended beyond that of a gui-sheet or root window.

## Member Function Documentation

bool CEGUI::GUISheet::moveToFront_impl | ( | bool | wasClicked | ) | `[protected, virtual]`

Implements move to front behavior.

Returns:
  Should return true if some action was taken, or false if there was nothing to be done.

Reimplemented from CEGUI::Window.

void CEGUI::GUISheet::onMouseButtonDown | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when a mouse button has been depressed within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

void CEGUI::GUISheet::onMouseButtonUp | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when a mouse button has been released within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

void CEGUI::GUISheet::onMouseClicked | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when a mouse button has been clicked (that is depressed and then released, within a specified time) within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

void CEGUI::GUISheet::onMouseDoubleClicked | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when a mouse button has been double-clicked within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

void CEGUI::GUISheet::onMouseMove | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when the mouse cursor has been moved within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

void CEGUI::GUISheet::onMouseTripleClicked | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when a mouse button has been triple-clicked within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

void CEGUI::GUISheet::onMouseWheel | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when the mouse wheel (z-axis) position changes within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

virtual bool CEGUI::GUISheet::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.

Parameters:

  class_name | The class name that is to be checked.

Returns:
  true if this window was inherited from class_name. false if not.

Reimplemented from CEGUI::Window.

References CEGUI::Window::testClassName_impl().